org.apache.ignite.internal.pagemem.wal.record.delta

## Class InitNewPageRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.InitNewPageRecord

Direct Known Subclasses:
  MetaPageInitRecord, PagesListInitNewPageRecord

    public class InitNewPageRecord
    extends PageDeltaRecord

Initializes new page by calling `PageIO.initNewPage(long, long, int)`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Field Summary

Fields
`protected int` `ioType`
`protected int` `ioVer`
`protected long` `newPageId`

### Constructor Summary

Constructors
Constructor and Description
`InitNewPageRecord(int grpId, long pageId, int ioType, int ioVer, long newPageId)`

### Method Summary

Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `ioType()`
`int` `ioVersion()`
`long` `newPageId()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ioType

    protected int ioType

#### ioVer

    protected int ioVer

#### newPageId

    @GridToStringExclude
    protected long newPageId

### Constructor Detail

#### InitNewPageRecord

    public InitNewPageRecord(int grpId,
                     long pageId,
                     int ioType,
                     int ioVer,
                     long newPageId)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `ioType` - IO type.
  `ioVer` - IO version.
  `newPageId` - New page ID.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### ioVersion

    public int ioVersion()

Returns:
  IO Version.

#### ioType

    public int ioType()

Returns:
  IO Type.

#### newPageId

    public long newPageId()

Returns:
  New page ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017